org.jboss.resteasy.spi

## Class ForbiddenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.LoggableFailure
          - - org.jboss.resteasy.spi.ForbiddenException

- All Implemented Interfaces:
    Serializable

  Deprecated.

      @Deprecated
      public class ForbiddenException
      extends LoggableFailure

  Thrown by RESTEasy when HTTP Unauthorized (403) is encountered
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenException()` Deprecated.
    `ForbiddenException(String s)` Deprecated.
    `ForbiddenException(String s, Response response)` Deprecated.
    `ForbiddenException(String s, Throwable throwable)` Deprecated.
    `ForbiddenException(String s, Throwable throwable, Response response)` Deprecated.
    `ForbiddenException(Throwable throwable)` Deprecated.
    `ForbiddenException(Throwable throwable, Response response)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForbiddenException

          public ForbiddenException()

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(String s)

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(String s,
                            Response response)

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(String s,
                            Throwable throwable,
                            Response response)

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(String s,
                            Throwable throwable)

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(Throwable throwable)

      Deprecated.

    - #### ForbiddenException

          public ForbiddenException(Throwable throwable,
                            Response response)

      Deprecated.

Copyright © 2014. All Rights Reserved.